Ubuntu

Please upgrade exuberant-ctags to 5.9 SVN snapshot

Reported by Daniel Hahler on 2011-03-10
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
exuberant-ctags (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: exuberant-ctags

The SVN repository for exuberant-ctags contains a lot of fixes since the 5.8 release. These should be included in Ubuntu.

I have contacted the upstream maintainer (dhiebert) a few days ago, asking about a new release, without any reply.

The upstream NEWS file lists:

* Added support for new "attached" and "detachable" keywords [Eiffel].
* Fixed parsing of comments after import statements and other tags, contributed by Huandari Lopez to Geany [Python].
* Fixed PHP parser to ignore keywords inside comments [PHP, Bug #1795926].
* Fixed regular expressions for Ant so they won't span multiple tags [Ant].
* Fixed infinite loop with malformed Makefiles, contributed by Martin Dorey [Make, Bug #2959889].
* Fixed Verilog parameter parsing, contributed by Nicolas Vincent [Verilog, Patch #2747828].
* Fixed error when parsing empty file [OCaml].
* Enabled Large File System support. [Bug #3062068]

There are more fixes (see ctags-changelog.txt (from SVN)).

Daniel Hahler (blueyed) wrote :
Changed in exuberant-ctags (Ubuntu):
status: New → In Progress
assignee: nobody → Daniel Hahler (blueyed)
Daniel Hahler (blueyed) wrote :
Daniel Hahler (blueyed) on 2011-03-10
Changed in exuberant-ctags (Ubuntu):
status: In Progress → New
assignee: Daniel Hahler (blueyed) → nobody
Daniel Hahler (blueyed) wrote :

Install log:
% sudo dpkg -i ../exuberant-ctags_5.9\~svn20110310-0ubuntu1_i386.deb | tee /tmp/install.log
[sudo] password for daniel:
(Lese Datenbank ... 501525 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Ersetzen von exuberant-ctags 1:5.8-3ubuntu1 (durch .../exuberant-ctags_5.9~svn20110310-0ubuntu1_i386.deb) ...
Ersatz für exuberant-ctags wird entpackt ...
exuberant-ctags (1:5.9~svn20110310-0ubuntu1) wird eingerichtet ...
Trigger für man-db werden verarbeitet ...

% ctags --version
Exuberant Ctags Development, Copyright (C) 1996-2009 Darren Hiebert
  Compiled: Mar 10 2011, 23:51:29
  Addresses: <email address hidden>, http://ctags.sourceforge.net
  Optional compiled features: +wildcards, +regex

Daniel Hahler (blueyed) wrote :

I have run the new binary on a PHP/JS repository, and it provided the same (improved) results as before.

Daniel Hahler (blueyed) wrote :

Diff statistics against the latest Ubuntu release (r12 in the branch), via:
    bzr diff -r 12 | filterdiff -x 'Test/*' -x 'website/*' | diffstat > /tmp/diffstat.txt

Martin Pitt (pitti) wrote :

Do you know if upstream plans to do an official 5.9 release in time for natty? If we can, we should rather ship an official release than a snapshot?

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

> Do you know if upstream plans to do an official 5.9 release in time for
> natty?

No. As mentioned, I've pinged upstream (dhiebert via sf.net) on
2011-03-03, but got no reply.

> If we can, we should rather ship an official release than a
> snapshot?

Of course, but given that this snapshot would be the same, apart from
the version number, it it rather unimportant.

- --
http://daniel.hahler.de/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iD8DBQFNf9IlfAK/hT/mPgARAknkAKCaVPiMLC8UvYGPgA4isshBDQKMxgCfQt6W
MN1rdR/GnU+JNrpmAPDqRBY=
=FAIW
-----END PGP SIGNATURE-----

Colin Watson (cjwatson) wrote :

16:00 <pitti> cjwatson: no strong opinion; seems fairly safe to me; so if you consider it appropriate, plesae go ahead

I think this is fine. I'm preparing a Debian upload based on Daniel's work, which will be syncable.

Changed in exuberant-ctags (Ubuntu):
status: New → Triaged
status: Triaged → New
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package exuberant-ctags - 1:5.9~svn20110310-1

---------------
exuberant-ctags (1:5.9~svn20110310-1) unstable; urgency=low

  * New upstream release snapshot (thanks, Daniel Hahler; LP: #732860).
    - Fix crash with comments inside strings in OCaml (LP: #554898).
  * Drop accepted patches:
    - debian/patches/make-match-loop.patch
    - debian/patches/php-ignore-keywords-in-comments.patch
  * For Python, disable -i so imports are not tagged by default (thanks,
    Barry Warsaw; LP: #618979).
  * Upstream uses AC_SYS_LARGEFILE now, so drop explicit
    -D_FILE_OFFSET_BITS=64 in debian/rules.
  * Fix infinite loop parsing vim commands, when a non-alphanumeric
    character other than whitespace or '-' is found before the first
    alphanumeric character after 'command' (LP: #736367).

exuberant-ctags (1:5.8-4) unstable; urgency=low

  * Apply patch from Ben Spencer to use memmove rather than strcpy on
    overlapping strings (closes: #594185).
 -- Colin Watson <email address hidden> Fri, 18 Mar 2011 10:27:01 +0000

Changed in exuberant-ctags (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers